import { PriorityQueueElement } from "./interfaces/priority-queue-element";
import { PriorityQueueOptions } from "./priority-queue-options";
import { Sorter } from "./types/sorter";
export declare class PriorityQueue {
    static make(opts?: PriorityQueueOptions): PriorityQueue;
    queue: PriorityQueueElement[];
    sorter: Sorter | null;
    static default_sorter: Sorter;
    push(value: string, cost: number): void;
    pop(): PriorityQueueElement | undefined;
    empty(): boolean;
}
